%define module GStreamer-Interfaces
%define	fmodule	GStreamer/Interfaces

Summary: Perl module for the gstreamer library
Name:    perl-%module
Version: 0.04
Release: %mkrel 2
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  %module-%version.tar.bz2
# http://sourceforge.net/project/showfiles.php?group_id=64773&package_id=150831
URL: http://gtk2-perl.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-Glib >= 1.100
BuildRequires: perl-Gtk2 >= 1.100
BuildRequires: libgstreamer-devel >= 0.10
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-devel
BuildRequires: perl-GStreamer
BuildRequires: libgstreamer-plugins-base-devel

%description
This module allows you to use the GStreamer library from Perl.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 
perl Makefile.PL INSTALLDIRS=vendor

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
#%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%{_mandir}/*/*
%{perl_vendorarch}/GStreamer
%{perl_vendorarch}/%fmodule
%{perl_vendorarch}/auto/*



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.04-2mdv2009.0
+ Revision: 268513
- rebuild early 2009.0 package (before pixel changes)

* Mon Apr 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.04-1mdv2009.0
+ Revision: 192889
- new release

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-4mdv2008.1
+ Revision: 152100
- rebuild

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-3mdv2008.1
+ Revision: 138074
- fix build dependencies

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Sep 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.03-2mdv2007.0
- fix buildrequires

* Tue Jul 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.03-1mdv2007.0
- initial release

